{
    "EXIT_SYSTEM" = {
        ENTER = ("pauseAI: 10.0"); 
        UPDATE = ("sendScriptMessage: weHaveLeft", performHyperSpaceExitWithoutReplacing); 
    }; 
    GLOBAL = {
        "EXITED WITCHSPACE" = ("sendScriptMessage: spawnSubstitute", landOnPlanet); 
        UPDATE = ("setStateTo: SEARCH_FOR_THARGOIDS"); 
    }; 
    "PREPARE_TO_LEAVE" = {
        ENTER = (
            "commsMessage: Engineers: We're trying to leave the system. Please follow us!"
        ); 
        UPDATE = ("setStateTo: EXIT_SYSTEM"); 
    }; 
    "SEARCH_FOR_THARGOIDS" = {
        UPDATE = (
            "pauseAI: 2.0", 
            "sendScriptMessage: checkThargoids", 
            "sendScriptMessage: defuseCascadeWeapons"
        ); 
    }; 
}